module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack1]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={
			args={sound_path=[[Magic/sound_magic_31101_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[4]={
			args={
				alive_time=1.5,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_505/Prefabs/505_attack1.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.2,
		},
		[5]={
			args={
				excutor=[[atkobj]],
				face_to=[[fixed_pos]],
				pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				time=1,
			},
			func_name=[[FaceTo]],
			start_time=0.3,
		},
		[6]={args={},func_name=[[MagcAnimStart]],start_time=0.35,},
		[7]={
			args={
				alive_time=0.8,
				begin_pos={base_pos=[[atk]],depth=0.7,relative_angle=0,relative_dis=-1.5,},
				delay_time=0,
				ease_type=[[Linear]],
				effect={
					is_cached=false,
					magic_layer=[[top]],
					path=[[Effect/Magic/magic_eff_new_505/Prefabs/505_fly1.prefab]],
					preload=true,
				},
				end_pos={base_pos=[[vic]],depth=0.7,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
				move_time=0.65,
			},
			func_name=[[ShootEffect]],
			start_time=0.8,
		},
		[8]={args={},func_name=[[MagcAnimEnd]],start_time=1.35,},
		[9]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.35,
		},
		[10]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_311/Prefabs/magic_eff_31101_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0.15,
			},
			func_name=[[BodyEffect]],
			start_time=1.4,
		},
		[11]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.55,
		},
		[12]={args={},func_name=[[End]],start_time=1.8,},
	},
	group_cmds={},
	magic_anim_end_time=1.35,
	magic_anim_start_time=0.35,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_505/Prefabs/505_attack1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_505/Prefabs/505_fly1.prefab]],
		[3]=[[Effect/Magic/magic_eff_311/Prefabs/magic_eff_31101_hit.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
